@echo off

@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp., 1997, 2010
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

REM -----------------------------------
REM Install settings follow
REM -----------------------------------
REM CLIENT_TYPE deprecated starting in Version 6.1
REM set CLIENT_TYPE=$(CLIENTTYPE)
SET COMPUTERNAME=$(CLIENTHOSTNAME)
SET DEFAULTSERVERNAME=$(SERVERHOSTNAME)
SET SERVERPORTNUMBER=$(SERVERPORTNUMBER)
SET WAS_HOME=$(WASROOT)
SET JAVA_JRE=$(JREHOME)
SET JAVA_JDK=$(JDKHOME)

REM -----------------------------------
REM Common settings to all client types
REM -----------------------------------
SET PATH=%WAS_HOME%\bin;%JAVA_JRE%\bin;%JAVA_JDK%\bin;%PATH%
REM ----------------------------------------------------------
REM CMVC PK35215 - Set WAS_PATH to be the same as current PATH
REM ----------------------------------------------------------
SET WAS_PATH=%PATH%
SET JAVA_HOME=%JAVA_JRE%
SET CLIENTSAS=-Dcom.ibm.CORBA.ConfigURL=file:%WAS_HOME%/properties/sas.client.props
SET CLIENTSSL=-Dcom.ibm.SSL.ConfigURL=file:%WAS_HOME%/properties/ssl.client.props
SET STDINCLIENTSAS=-Dcom.ibm.CORBA.ConfigURL=file:%WAS_HOME%/properties/sas.stdinclient.props
SET SERVER_ROOT=-Dserver.root=%WAS_HOME%
SET CLIENTSOAP=-Dcom.ibm.SOAP.ConfigURL=file:%WAS_HOME%/properties/soap.client.props
SET CLIENT_CONNECTOR_INSTALL_ROOT=%WAS_HOME%\installedConnectors
SET WAS_LOGGING=-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true
SET USER_INSTALL_ROOT=%WAS_HOME%
SET JAASSOAP=-Djava.security.auth.login.config=%USER_INSTALL_ROOT%/properties/wsjaas_client.conf
SET WAS_CLASSPATH=%WAS_HOME%\properties;%WAS_HOME%\lib\startup.jar;%WAS_HOME%\lib\bootstrap.jar;%WAS_HOME%\lib\lmproxy.jar;%WAS_HOME%\lib\urlprotocols.jar
SET WAS_EXT_DIRS=%WAS_HOME%\classes;%WAS_HOME%\lib;%WAS_HOME%\installedChannels;%WAS_HOME%\lib\ext
SET WAS_ENDORSED_DIRS=%WAS_HOME%\java\jre\lib\endorsed;%JAVA_JRE%\lib\endorsed

REM -----------------------------------------------------------------------------------------------
REM WAS_BOOTCLASSPATH should not be used.  Kept for backward compatibility (e.g. dumpNameSpace.bat)
REM -----------------------------------------------------------------------------------------------
SET WAS_BOOTCLASSPATH=%WAS_HOME%\java\jre\lib\endorsed\ibmorb.jar;%WAS_HOME%\java\jre\lib\endorsed\ibmcfw.jar;%WAS_HOME%\java\jre\lib\endorsed\ibmorbapi.jar;%WAS_HOME%\lib\iwsorbutil.jar


REM -------------
REM Set the default OSGI ARGS.
REM -------------
SET OSGI_INSTALL=-Dosgi.install.area="%WAS_HOME%"
SET OSGI_CFG=-Dosgi.configuration.area="%WAS_HOME%"\configuration

